# combo - content management system
# Copyright (C) 2014-2017  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^api/dashboard/add/(?P<cell_reference>[\w_-]+)/$',
        views.dashboard_add_tile,
        name='combo-dashboard-add-tile'),
    url(r'^api/dashboard/remove/(?P<cell_reference>[\w_-]+)/$',
        views.dashboard_remove_tile,
        name='combo-dashboard-remove-tile'),
    url(r'^api/dashboard/auto-tile/(?P<key>[\w_-]+)/$',
        views.dashboard_auto_tile,
        name='combo-dashboard-auto-tile'),
    url(r'^api/dashboard/reorder/(?P<dashboard_id>[\w]+)/$',
        views.dashboard_reorder_tiles,
        name='combo-dashboard-reorder-tiles'),
]
