# combo - content management system
# Copyright (C) 2017  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url, include

from combo.urls_utils import decorated_includes, manager_required

from .manager_views import (ManagerHomeView, LayerAddView,
                LayerEditView, LayerDeleteView)

from .views import GeojsonView

maps_manager_urls = [
    url('^$', ManagerHomeView.as_view(), name='maps-manager-homepage'),
    url('^layers/add/$', LayerAddView.as_view(), name='maps-manager-layer-add'),
    url(r'^layers/(?P<slug>[\w-]+)/edit/$', LayerEditView.as_view(),
        name='maps-manager-layer-edit'),
    url(r'^layers/(?P<slug>[\w-]+)/delete/$', LayerDeleteView.as_view(),
        name='maps-manager-layer-delete'),
]

urlpatterns = [
    url(r'^manage/maps/', decorated_includes(manager_required,
        include(maps_manager_urls))),
    url(r'^ajax/mapcell/geojson/(?P<cell_id>\w+)/$', GeojsonView.as_view(),
        name='mapcell-geojson'),
]
