# combo - content management system
# Copyright (C) 2014-2018  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django import forms

from combo.utils.forms import MultiSortWidget

from . import engines
from .models import SearchCell


class SearchCellForm(forms.ModelForm):
    class Meta:
        model = SearchCell
        fields = ('_search_services',)

    def __init__(self, *args, **kwargs):
        super(SearchCellForm, self).__init__(*args, **kwargs)
        options = [(x, engines.get_engines()[x]['label']) for x in engines.get_engines().keys()]
        self.fields['_search_services'].widget = MultiSortWidget(choices=options,
                                                                 with_checkboxes=True)
