# combo - content management system
# Copyright (C) 2014-2015  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.apps import AppConfig
from django.core.urlresolvers import reverse
from django.utils.translation import ugettext_lazy as _


class DataConfig(AppConfig):
    name = 'combo.data'
    verbose_name = 'data'

    def ready(self):
        # register built-in search engine for page contents
        from combo.apps.search import engines
        engines.register(self.get_search_engines)

    def get_search_engines(self):
        return {
            '_text': {
                'url': reverse('api-search') + '?q=%(q)s',
                'label': _('Page Contents'),
            }
        }
